#include <stdio.h>
#include <sys/ioctl.h>
#include <sys/stat.h>
#include <fcntl.h>

int main(int argc, char** argv)
{
	int fd;
	char buffer[1024];
	FILE* fp;
	int i;
	
	if(argc!=2) {
		fprintf(stderr,"Need filename\n");
		exit(1);
	}
	fd=open(argv[1],O_WRONLY|O_NONBLOCK);
	if(fd<0)
		return 0;
	i=0;
	ioctl(fd,FIONBIO,&i);
	fp=fdopen(fd,"w");

	while(!feof(stdin)) {
		if(fgets(buffer,sizeof(buffer)-1,stdin)) {
			fprintf(fp,"%s",buffer);
		}
	}
	fclose(fp);
}
